### Method

# EBook BookClientView set_flags

since: 3.4

#### Declaration [src]

    void
    e_book_client_view_set_flags (
      EBookClientView* client_view,
      EBookClientViewFlags flags,
      GError** error
    )

#### Description [src]

Sets the `flags` which control the behaviour of `client_view`.

Available since: 3.4

#### Parameters

`flags`

  Type: `EBookClientViewFlags`

  The `EBookClientViewFlags` for `client_view`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.